## minicom 1.81.1

=== src/Makefile ===
#
# Makefile	Makefile for Minicom on various systems.
#		You have to pick your system here. Just
#		uncomment it and let it compile.
#
# Version	@(#) Makefile 1.75 (28-Apr-1996) MvS
#
# Bugs		The Linux, Coherent 4.2, Sun and BSD versions
#		have been tested and are known to work.
#		For others, your mileage may vary...
#
#		Some old version of xgettext seems to give error messages
#		about illegal options in the po directory Makefile.
#		If you have this problem or you don't have gettext
#		installed, you can disable the localization stuff by 
#		 removing the -D_I18N_ option from OPFLAGS
#		 and -lintl from LIBS below,
#		 and commenting out the "PO = po" line.
#
# fmg 8/22/97: added History buffer search and organized FLAGS a bit
# jl April 98: added some comments
#

# Where to install things for Linux sites (FSSTND)
BINDIR	= /usr/bin
LIBDIR	= /etc
DOCDIR	= /usr/doc/minicom
MANDIR	= /usr/man/man1

# fmg 8/22/97: seems a more logical place for this :-)
# Select Compile Options you want:
#
# -D_HISTORY		- Support for History buffer
# -D_HAVE_MACROS	- Support F-key macros
#                         For documentation, see file "../doc/Macros"
# -D_RH_FIX		- ReadHat Linux 4.1 F-key fix
#                         For documentation, see file "../doc/RedHat"
# -D_SEARCH_HISTORY	- Support searching of History buffer
#                         For documentation, see file "../doc/HistSearch"
# -D_I18N_		- Internationalization and localized text strings
#			  see file "../doc/Locales"
#
OPFLAGS	= -D_HISTORY -D_HAVE_MACROS -D_SEARCH_HISTORY -D_I18N_

# Remove if you don't have gettext and don't want to install it and use
# the localized strings
PO	= po

# Where to install things for FreeBSD sites.
# BINDIR = /usr/local/bin
# LIBDIR = /usr/local/etc/minicom
##DOCDIR = /usr/local/share/minicom
# DOCDIR = /usr/local/etc/minicom
# MANDIR = /usr/local/man/man1

# Where to install things for "normal" sites.
# BINDIR	= /usr/local/bin
# LIBDIR	= /usr/local/lib
# DOCDIR	= /usr/local/lib
# MANDIR	= /usr/local/man/man1

# Take these compilation flags for Linux with libncurses.
FLAGS	= -Wall -D_POSIX -D_SYSV -D_SELECT -pipe # -I/usr/include/ncurses
PROGS	= minicom runscript ascii-xfr
LFLAGS	= -s
LIBS	= -lncurses -lintl
CC	= cc

# Take these compilation flags for FreeBSD.
#FLAGS	= -Wall -D_POSIX -D_BSD43 -D_SELECT -D_DCDFLOW
#PROGS	= minicom runscript ascii-xfr
#LFLAGS	= -s
#LIBS	= -ltermcap
#CC	= cc

# Take these flags for SCO unix.
#FLAGS	= -D_SYSV -D_SCO -D_POSIX -D_SELECT
#PROGS	= minicom runscript ascii-xfr
#LFLAGS	= -s
#LIBS	= -lcurses
#CC	= cc

# These flags are for BSD 4.3 alike systems. Tested on SunOs 4.1.3.
# Used to compile under other flavors of BSD4.3 too..
#LFLAGS	= # -s
#FLAGS	= -D_BSD43 -D_SELECT				# BSD style ioctls
#FLAGS	= -D_POSIX -D_BSD43 -D_SELECT -D_DCDFLOW	# BSD with Posix termios
#FLAGS	= -D_POSIX -D_BSD43 -D_SELECT -DSUN -D_DCDFLOW	# Sun include nightmare
#PROGS	= minicom runscript ascii-xfr
#LIBS	= -ltermcap
#CC	= cc

# ========== Everything below this line is not well-tested. ===========

# Take these flags for DG/UX (Data General/UX).
#FLAGS	= -O2 -Wall -D_POSIX -D_DGUX_SOURCE -D_SELECT
#PROGS	= minicom runscript ascii-xfr
#LFLAGS	= -s
#LIBS	= -ltermcap
#CC	= gcc

# Take these flags for OSF/1
#FLAGS	= -O2 -D_POSIX -D_SYSV -D_SELECT
#PROGS	= minicom runscript ascii-xfr
#LFLAGS	= -s
#LIBS	= -ltermcap
#CC	= cc

# These flags work for Coherent 4.2.
#FLAGS	= -D_POSIX -D_SYSV -D_SELECT -D_COH42 -D_COHERENT -D_NO_TERMIOS
#LFLAGS	= -s
#PROGS	= minicom runscript ascii-xfr
#LIBS	= -ltermcap -lmisc
#CC	= cc

# Take these flags for Dynix/ptx (Sequent)
#FLAGS	= -D_POSIX -D_SYSV -D_SELECT -D_SEQUENT -D_NO_TERMIOS
#LFLAGS	= -s
#PROGS	= minicom runscript ascii-xfr
#LIBS	= -ltermcap -lsocket
#CC	= cc

# Take these flags for a SysV system (sysv/HPUX/ISC)
#FLAGS	= -D_SYSV		 			   # Generic Sysv
#FLAGS	= -D_SYSV -D_POSIX				   # Posix SysV
#FLAGS	= -D_HPUX_SOURCE -D_POSIX -D_SYSV -D_SELECT	   # HPUX
#FLAGS	= -D_SYSV -D_SVR2 -D_POSIX -D_NO_TERMIOS	   # Sysv R2, eg UnixPC
#FLAGS	= -Wall -D_SYSV -DISC -D_SYSV3 -D_POSIX -D_SELECT  # ISC unix
#### Only include the "keyserv" program if you don't have select()
#PROGS	= minicom runscript ascii-xfr #keyserv
#LFLAGS	= -s
#LIBS	= -ltermcap
#LIBS	= -ltermcap -linet -lnsl_c -lcposix # ISC unix.
#CC	= cc

# Take these flags for Mark Williams' Coherent version 3.2 (286 version)
#FLAGS	= -D_COHERENT -D_COH3
#LFLAGS	= -s
#PROGS	= minicom runscript ascii-xfr keyserv
#LIBS	= -lterm
#CC	= cc

# Take these flags for the PC Minix ACK compiler
#FLAGS	= -D_MINIX -D_POSIX
#LFLAGS	= -i
#PROGS	= minicom runscript ascii-xfr keyserv
#LIBS	=
#CC	= cc

# Take these flags for a 68000 Minix
#FLAGS	= -D_MINIX -D_POSIX
#LFLAGS	= -s
#PROGS	= minicom runscript ascii-xfr keyserv
#LIBS	=

# Nothing should have to change beneath this line

SRCS	= minicom.c vt100.c config.c help.c updown.c \
	  util.c dial.c window.c wkeys.c ipc.c main.c \
	  keyserv.c windiv.c script.c sysdep1.c sysdep2.c \
	  rwconf.c file.c getsdir.c wildmat.c

HDRS	= minicom.h window.h keyboard.h charmap.h config.h \
	  configsym.h patchlevel.h vt100.h port.h sysdep.h \
	  getsdir.h

OTHERS	= History Install Makefile Porting Readme Readme.rzsz Todo \
	  install.sh minicom.1 minicom.users runscript.1 saralogin \
	  scriptdemo unixlogin

MOBJS	= minicom.o vt100.o config.o help.o updown.o \
	  util.o dial.o window.o wkeys.o ipc.o \
	  windiv.o sysdep1.o sysdep2.o rwconf.o main.o \
	  file.o getsdir.o wildmat.o

KOBJS	= keyserv.o wkeys.o sysdep2.o

SOBJS	= script.o sysdep1.o

# fmg 8/22/97: merge in new OPFLAGS...
CFLAGS	= $(FLAGS) $(OPFLAGS) -DLIBDIR=\"$(LIBDIR)\"

R	= $(ROOTDIR)

all:		$(PROGS) $(PO)

minicom:	$(MOBJS)
		$(CC) $(LFLAGS) -o minicom $(MOBJS) $(LIBS)

po: dummy
		make -C po

keyserv:	$(KOBJS)
		$(CC) -o keyserv $(LFLAGS) $(KOBJS) $(LIBS)

runscript:	$(SOBJS)
		$(CC) -o runscript $(LFLAGS) $(SOBJS)

ascii-xfr:	ascii-xfr.o
		$(CC) -s -o ascii-xfr $(LFLAGS) ascii-xfr.o

script.o:	script.c

ascii-xfr.o:	ascii-xfr.c

keyserv.o:	keyserv.c $(HDRS)

minicom.o:	minicom.c $(HDRS)

main.o:		main.c $(HDRS)

windiv.o:	windiv.c $(HDRS)

vt100.o:	vt100.c $(HDRS)
		$(CC) -c $(CFLAGS) -DMINICOM vt100.c

config.o:	config.c $(HDRS)

fastsystem.o:	fastsystem.c $(HDRS)

dial.o:		dial.c $(HDRS)

help.o:		help.c $(HDRS)

updown.o:	updown.c $(HDRS)

window.o:	window.c $(HDRS)

wkeys.o:	wkeys.c $(HDRS)

ipc.o:		ipc.c $(HDRS)

sysdep1.o:	sysdep1.c $(HDRS)

sysdep2.o:	sysdep2.c $(HDRS)

rwconf.o:	rwconf.c $(HDRS)

dummy:

install:	$(PROGS)
		make -C po install
		sh install.sh $(R)$(LIBDIR) $(R)$(BINDIR) $(R)$(MANDIR) $(R)$(DOCDIR)

clobber:
		rm -f *.o *~ minicom keyserv runscript ascii-xfr
		make -C po clean

clean:		
		rm -f *.o
		@echo "Type \"make clobber\" to really clean up."

realclean:		
		rm -f *.o minicom keyserv runscript ascii-xfr *.orig *~

=== src/po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=/usr/share/locale

MSGMERGE = msgmerge

NLSPACKAGE = minicom

CATALOGS = pt_BR.mo fi_FI.mo

POTFILES=../main.c ../minicom.c ../config.c ../updown.c ../dial.c\
	../help.c ../rwconf.c ../file.c ../getsdir.c

all: $(NLSPACKAGE).pot $(CATALOGS)

$(NLSPACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(NLSPACKAGE) -v \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi


update-po: Makefile
	$(MAKE) $(NLSPACKAGE).pot
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		mv $$lang.po $$lang.old.po; \
		echo "$$lang:"; \
		if $(MSGMERGE) $$lang.old.po $(NLSPACKAGE).pot -o $$lang.po; then \
		rm -f $$lang.old.po; \
	else \
    		echo "msgmerge for $$cat failed!"; \
		rm -f $$lang.po; \
		mv $$lang.old.po $$lang.po; \
	fi; \
	done

clean:
	rm -f *mo $(NLSPACKAGE).pot

distclean: clean
	rm -f .depend Makefile

depend:

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(INSTALLNLSDIR)/$$l/LC_MESSAGES/minicom.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

## minicom 1.75-2

=== debian/changelog ===
minicom (1.75-2) frozen unstable; urgency=medium

  * Fixed minor security hole (.dialdir got created world readable)
  * Fix crash in dialing directory
  * Upgrade to new source format (about time..)
  * Add extended description

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 28 Apr 1997 17:19:18 +0200

18-Jan-1995	Miquel van Smoorenburg <miquels@cistron.nl>
		- Created minicom 1.73 because of security risk
		- Added debian control files to upstream package.

08-Jun-1996	Fixed pre/postinst script.
		Switched to my new debian.rules style.

=== debian/control ===
Source: minicom
Section: comm
Priority: optional
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.1.1.0

Package: minicom
Architecture: any
Depends: ${shlibs:Depends}
Recommends: lrzsz
Description: Clone of the MS-DOS "Telix" communications program.
 Minicom is a menu driven communications program. It emulates ANSI and
 VT102 terminals. It has a dialing directory and auto zmodem download.

=== debian/rules ===
#! /usr/bin/make -f

p   = minicom
tmp = debian/tmp
DIR:=$(shell pwd)

define checkdir
	test -f src/minicom.c
endef

build:
# Builds the binary package.
	$(checkdir)
	( cd src && $(MAKE) )
	touch build

# Architecture independant files.
binary-indep:   build
	$(checkdir)

# Make a binary package (.deb file)
binary-arch:
	-rm -rf $(tmp)
	install -d -o root -g root -m 755 $(tmp)
	install -d -o root -g root -m 755 $(tmp)/DEBIAN
	install -d -o root -g root -m 755 $(tmp)/etc
	install -d -o root -g root -m 755 $(tmp)/usr/bin
	install -d -o root -g root -m 755 $(tmp)/usr/man/man1
	install -d -o root -g root -m 755 $(tmp)/usr/doc/$(p)
	( cd src && make install R=$(DIR)/$(tmp) )
	gzip -9f $(tmp)/usr/man/man*/*
	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(p)
	install -g root -m 644 -o root Copyright $(tmp)/usr/doc/$(p)/copyright
	install -g root -m 644 -o root debian/conffiles $(tmp)/DEBIAN/conffiles
	install -g root -m 755 -o root debian/preinst $(tmp)/DEBIAN/preinst
	install -g root -m 755 -o root debian/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 644 -o root terminfo/README $(tmp)/usr/doc/minicom
	install -g root -m 644 -o root terminfo/minicom $(tmp)/usr/doc/minicom/minicom.terminfo
	install -g root -m 644 -o root doc/minirc.dfl $(tmp)/etc
	dpkg-shlibdeps src/minicom
	dpkg-gencontrol
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	-( cd src && $(MAKE) clobber )
	rm -f build
	rm -rf $(tmp)
	find . \( -name '*~' -o -name '*.bak' -o -name '*.orig' \) -print0 | \
		xargs -0r rm --

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## minicom 1.82

=== src/Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 FLAGS	= -Wall -D_POSIX -D_SYSV -D_SELECT -pipe # -I/usr/include/ncurses
 PROGS	= minicom runscript ascii-xfr
 LFLAGS	= -s
-LIBS	= -lncurses -lintl
+LIBS	= -lncurses #-lintl
 CC	= cc
 
 # Take these compilation flags for FreeBSD.
@@ -158,7 +158,7 @@
 SRCS	= minicom.c vt100.c config.c help.c updown.c \
 	  util.c dial.c window.c wkeys.c ipc.c main.c \
 	  keyserv.c windiv.c script.c sysdep1.c sysdep2.c \
-	  rwconf.c file.c getsdir.c wildmat.c
+	  rwconf.c file.c getsdir.c wildmat.c common.c
 
 HDRS	= minicom.h window.h keyboard.h charmap.h config.h \
 	  configsym.h patchlevel.h vt100.h port.h sysdep.h \
@@ -171,11 +171,11 @@
 MOBJS	= minicom.o vt100.o config.o help.o updown.o \
 	  util.o dial.o window.o wkeys.o ipc.o \
 	  windiv.o sysdep1.o sysdep2.o rwconf.o main.o \
-	  file.o getsdir.o wildmat.o
+	  file.o getsdir.o wildmat.o common.o
 
 KOBJS	= keyserv.o wkeys.o sysdep2.o
 
-SOBJS	= script.o sysdep1.o
+SOBJS	= script.o sysdep1.o common.o
 
 # fmg 8/22/97: merge in new OPFLAGS...
 CFLAGS	= $(FLAGS) $(OPFLAGS) -DLIBDIR=\"$(LIBDIR)\"
@@ -230,6 +230,8 @@
 
 ipc.o:		ipc.c $(HDRS)
 
+common.o:	common.c $(HDRS)
+
 sysdep1.o:	sysdep1.c $(HDRS)
 
 sysdep2.o:	sysdep2.c $(HDRS)
@@ -239,7 +241,7 @@
 dummy:
 
 install:	$(PROGS)
-		make -C po install
+		make -C po install R=$(R)
 		sh install.sh $(R)$(LIBDIR) $(R)$(BINDIR) $(R)$(MANDIR) $(R)$(DOCDIR)
 
 clobber:

=== src/po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALL_PROGRAM= ${INSTALL}
INSTALL_DATA= ${INSTALL} -m 644
INSTALLNLSDIR=/usr/share/locale

TUPDATE = tupdate

NLSPACKAGE = minicom

CATALOGS = pt_BR.mo fi_FI.mo ja_JP.ujis.mo ja_JP.sjis.mo fr.mo pl.mo

POTFILES=../main.c ../minicom.c ../config.c ../updown.c ../dial.c\
	../help.c ../rwconf.c ../file.c ../getsdir.c

all: $(NLSPACKAGE).pot $(CATALOGS)

$(NLSPACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(NLSPACKAGE) \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(NLSPACKAGE).po $(NLSPACKAGE).pot; then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv $(NLSPACKAGE).po $(NLSPACKAGE).pot; \
	fi


update-po: Makefile
	$(MAKE) $(NLSPACKAGE).pot
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
		lang=`echo $$cat | sed 's/.mo//'`; \
		mv $$lang.po $$lang.old.po; \
		echo "$$lang:"; \
		if $(TUPDATE) $(NLSPACKAGE).pot $$lang.old.po > $$lang.po; then\
		rm -f $$lang.old.po; \
	else \
    		echo "tupdate for $$cat failed!"; \
		rm -f $$lang.po; \
		mv $$lang.old.po $$lang.po; \
	fi; \
	done

clean:
	rm -f *mo $(NLSPACKAGE).pot ja_JP.sjis.po ujis2sjis

distclean: clean
	rm -f .depend Makefile

depend:

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(R)$(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(R)$(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(R)$(INSTALLNLSDIR)/$$l/LC_MESSAGES/minicom.mo; \
	done

%.mo: %.po
	msgfmt -o $@ $<

# Automatically make ja_JP.sjis.po from ja_JP.ujis.po
# ujis2sjis is a converting program.

ja_JP.sjis.po : ja_JP.ujis.po ujis2sjis
	./ujis2sjis <ja_JP.ujis.po >ja_JP.sjis.po

ujis2sjis : ujis2sjis.c
	cc $< -o $@

## minicom 1.82.1

=== src/po/Makefile ===
--- 
+++ 
@@ -3,14 +3,15 @@
 INSTALL_DATA= ${INSTALL} -m 644
 INSTALLNLSDIR=/usr/share/locale
 
-TUPDATE = tupdate
+MSGMERGE = msgmerge
 
 NLSPACKAGE = minicom
 
 CATALOGS = pt_BR.mo fi_FI.mo ja_JP.ujis.mo ja_JP.sjis.mo fr.mo pl.mo
 
 POTFILES=../main.c ../minicom.c ../config.c ../updown.c ../dial.c\
-	../help.c ../rwconf.c ../file.c ../getsdir.c
+	../help.c ../rwconf.c ../file.c ../getsdir.c ../ipc.c\
+	../script.c ../windiv.c
 
 all: $(NLSPACKAGE).pot $(CATALOGS)
 
@@ -24,24 +25,24 @@
 	fi
 
 
-update-po: Makefile
+update-po: Makefile ja_JP.sjis.po
 	$(MAKE) $(NLSPACKAGE).pot
 	catalogs='$(CATALOGS)'; \
 	for cat in $$catalogs; do \
 		lang=`echo $$cat | sed 's/.mo//'`; \
 		mv $$lang.po $$lang.old.po; \
 		echo "$$lang:"; \
-		if $(TUPDATE) $(NLSPACKAGE).pot $$lang.old.po > $$lang.po; then\
+		if $(MSGMERGE) $$lang.old.po $(NLSPACKAGE).pot > $$lang.po; then\
 		rm -f $$lang.old.po; \
 	else \
-    		echo "tupdate for $$cat failed!"; \
+    		echo "$(MSGMERGE) for $$cat failed!"; \
 		rm -f $$lang.po; \
 		mv $$lang.old.po $$lang.po; \
 	fi; \
 	done
 
 clean:
-	rm -f *mo $(NLSPACKAGE).pot ja_JP.sjis.po ujis2sjis
+	rm -f *mo $(NLSPACKAGE).pot ja_JP.sjis.po ujis2sjis *.bak
 
 distclean: clean
 	rm -f .depend Makefile

## minicom 2.4

=== debian/changelog ===
minicom (2.4-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/fix-hanging-minicom-scripts.diff: Backported fix
      from minicom mercurial tree. Fixes minicom hanging when running with 
      scripts. (LP: #585911)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Sep 2010 11:18:58 +0100

minicom (2.4-4) unstable; urgency=low

  * Updated package to source format 3.0 (quilt).
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 11 Sep 2010 22:31:26 +0200

minicom (2.4-3) unstable; urgency=medium

  * Fixed failing package purge, closes: #591865.
    Thanks to Alexander Korsunsky.
  * Fixed setting localecho in config file (upstream backport),
    closes: #590900. Thanks to Peter De Wachter.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 05 Sep 2010 10:30:00 +0200

minicom (2.4-2ubuntu1) maverick; urgency=low

  * debian/patches/fix-hanging-minicom-scripts.diff: Backported fix 
    from minicom mercurial tree. Fixes minicom hanging when running
    scripts. Who would have thunk it...people still use minicom.
    (LP: #585911) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Jun 2010 09:34:29 -0400

minicom (2.4-2) unstable; urgency=low

  * Backported upstream fix for FHS compliant lock-file format,
    closes: #578001.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 May 2010 01:38:13 +0200

minicom (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 26 Dec 2009 14:15:52 +0100

minicom (2.4~rc1-1) unstable; urgency=low

  * New upstream release,
    closes: #552892 (FTBFS: conflicting types for getline)

 -- Martin A. Godisch <godisch@debian.org>  Sat, 21 Nov 2009 12:22:20 +0100

minicom (2.3-1) unstable; urgency=low

  * New upstream release,
    closes: #466961 (limited input field for history lines).

 -- Martin A. Godisch <godisch@debian.org>  Sun, 24 Feb 2008 16:29:10 +0100

minicom (2.3~rc1-3) unstable; urgency=low

  * Changed string size, closes: #460485.
  * Added missing localization, closes: #460497.
  * Fixed single quotes in manpage, closes: #466962.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 23 Feb 2008 20:48:25 +0100

minicom (2.3~rc1-2) unstable; urgency=low

  * Fixed GNU/kFreeBSD build, thanks to Petr Salinger.
  * Enhanced xminicom, closes: #389028.
  * Fixed watch file.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 09 Dec 2007 12:37:10 +0100

minicom (2.3~rc1-1) unstable; urgency=low

  * New upstream release candidate,
    closes: #412561 (minicom can't read .dialdir created on amd64),
    closes: #416060 (wrong way to scan a directory and list files),
    closes: #419538 (SEGV with deep directory).
    Thanks to Ludovic Rousseau and Yasushi Shoji for patches.
  * Updated menu section.
  * Fixed clean target.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Oct 2007 20:23:15 +0200

minicom (2.2-5) unstable; urgency=low

  * Fixed localization bug, closes: #405219.
    Thanks to upstream maintainer Adam Lackorzynski.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 07 Jan 2007 17:59:58 +0100

minicom (2.2-4) unstable; urgency=low

  * Added 04screenkeybmenu.diff,
    thanks to upstream maintainer Adam Lackorzynski.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 06 Nov 2006 18:01:05 +0100

minicom (2.2-3) unstable; urgency=low

  * Added upstream NEWS file, closes: #394827.
  * Fixed spelling errors, closes: #395449.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 27 Oct 2006 05:41:23 +0200

minicom (2.2-2) unstable; urgency=low

  * Fixed build script to build .gmo files. Thanks to Adam Lackorzynski.
  * Updated control file.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 20 Oct 2006 15:28:10 +0200

minicom (2.2-1) unstable; urgency=low

  * New upstream release,
    closes: #188184 (more rc file options),
    closes: #336879 (-8 flag isn't neccessary any longer),
    closes: #340899 (handling of long lines in config files).
  * Fixed preinst script, closes: #358635.
  * Fixed watch file.
  * Updated README.Debian.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 19 Oct 2006 18:54:10 +0200

minicom (2.1-10) unstable; urgency=low

  * Applied patch to prevent crash with very long lines, closes: #337178.
    Thanks to Christian 'Greek0' Aichinger.
  * Updated standards version,
    fixed debian/rules, debian/control, debian/changelog.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 04 Nov 2005 18:06:15 +0100

minicom (2.1-9) unstable; urgency=low

  * Fixed manual typos, closes: #301931.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 29 Mar 2005 09:32:42 +0200

minicom (2.1-8) unstable; urgency=low

  * Fixed FTBFS with gcc 4.0, closes: #287654.
  * Fixed POSIX compliance of debian/rules.
  * Added watch file

 -- Martin A. Godisch <godisch@debian.org>  Sat, 01 Jan 2005 19:45:10 +0100

minicom (2.1-7) unstable; urgency=low

  * Updated Polish localization, thanks to Wiesiek, closes: #220396.
  * Updated package description and standards version.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 12 Nov 2003 19:17:17 +0100

minicom (2.1-6) unstable; urgency=low

  * Added SEE ALSO to minicom.1 and runscript.1, closes: #205503.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 15 Aug 2003 07:31:53 +0200

minicom (2.1-5) unstable; urgency=low

  * Enabled user config files without corresponding system-wide config
    files, closes: #204522.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 11 Aug 2003 06:24:23 +0200

minicom (2.1-4) unstable; urgency=low

  * Updated package description, closes: #201859.
  * Removed debug output, closes: #202896.
  * Removed debconf support, adjusted dependencies:
    + minicom/pr_port is done without confirmation,
    + minicom/configure is obsoleted by README.Debian.
  * Fixed removal of /etc/minicom.
  * Converted debian/changelog to UTF-8.
  * Updated standards version.



=== debian/control ===
Source: minicom
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin A. Godisch <godisch@debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: autotools-dev, gettext, libncurses5-dev
Standards-Version: 3.9.1

Package: minicom
Architecture: any
Depends: ${shlibs:Depends}
Recommends: lrzsz
Description: friendly menu driven serial communication program
 Minicom is a clone of the MS-DOS "Telix" communication program. It emulates
 ANSI and VT102 terminals, has a dialing directory and auto zmodem download.

=== debian/watch ===
version=3
http://alioth.debian.org/project/showfiles.php?group_id=30018 .*/minicom-(.*)\.tar\.gz 2.3-rc1

## minicom 2.5

=== debian/changelog ===
minicom (2.5-2) unstable; urgency=low

  * Backported upstream fix to not extend ~ in non-path configs,
    closes: #621741, thanks to Florian Lohoff and Adam Lackorzynski.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 16 Apr 2011 14:21:27 +0200

minicom (2.5-1) unstable; urgency=low

  * New upstream release,
    closes: #610511 (string/word size limit to 89 characters),
    closes: #610512 (scripts never exit).
  * Removed some Debian patches which are now in upstream.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 04 Feb 2011 20:06:55 +0100

## minicom 2.6.1

=== debian/changelog ===
minicom (2.6.1-1+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * Add ARRAY_SIZE macro
  * CVE-2017-7467: Out of bounds write in vt100.c (Closes: #860940)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 24 Apr 2017 19:03:02 +0200

minicom (2.6.1-1) unstable; urgency=low

  * New upstream release,
    closes: #659351 (minicom stops receiving in -R utf-8 mode).

 -- Martin A. Godisch <godisch@debian.org>  Sat, 11 Feb 2012 18:53:08 +0100

minicom (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 01 Jan 2012 17:27:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: minicom
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin A. Godisch <godisch@debian.org>
+Maintainer: Martin A. Godisch <godisch@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: autotools-dev, gettext, libncurses5-dev
 Standards-Version: 3.9.1

=== debian/rules ===
#!/usr/bin/make -f
#
# $Id: rules,v 1.15.2.5 2005/11/05 12:01:25 godisch Exp $

BUILDDIR = debian/minicom
DEBDIR   = $(BUILDDIR)/DEBIAN
DOCDIR   = $(BUILDDIR)/usr/share/doc/minicom
testdir  = test -f src/minicom.c && test -f debian/rules
testroot = test x`whoami` = xroot

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

clean:
	$(testdir)
	rm -f configure-stamp build-stamp
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .
	[ ! -f Makefile ] || $(MAKE) -i distclean
	rm -rf debian/minicom
	rm -f debian/files debian/substvars
	rm -f config.guess config.sub po/*.gmo po/stamp-po

configure-stamp: configure
	$(testdir)
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .
	./configure $(CONFFLAGS) --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc/minicom
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	$(testdir)
	$(MAKE)
	touch build-stamp

binary: binary-arch

binary-indep:

binary-arch: build install
	$(testdir)
	$(testroot)
	rm -rf debian/minicom

	$(MAKE) DESTDIR=$(CURDIR)/debian/minicom install
	chmod -R go=u-w $(BUILDDIR)
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	cd $(BUILDDIR)/usr/bin && strip -R .comment -R .note ascii-xfr minicom runscript
endif
	install -p -D -m 0644 debian/menu $(BUILDDIR)/usr/share/menu/minicom
	find $(BUILDDIR)/usr/share/man -type f -print0 | xargs -0 gzip -9

	install -d -m 0755 $(BUILDDIR)/etc/minicom $(DOCDIR)/examples $(DOCDIR)/intl $(DOCDIR)/term $(DOCDIR)/todo $(DOCDIR)/tables
	install -p -m 0644 doc/minirc.dfl extras/*login debian/minirc.nullmodem $(DOCDIR)/examples
	install -p -m 0644 AUTHORS NEWS debian/copyright debian/README.Debian $(DOCDIR)
	install -D -p -m 0644 ChangeLog         $(DOCDIR)/changelog
	install -D -p -m 0644 doc/ChangeLog.old $(DOCDIR)/changelog.old
	install -D -p -m 0644 debian/changelog  $(DOCDIR)/changelog.Debian
	install -p -m 0644 doc/COMPATABILITY.lrzsz doc/fselector.txt doc/HistSearch doc/Macros doc/minicom.FAQ doc/README.lrzsz $(DOCDIR)
	install -p -m 0644 ABOUT-NLS doc/japanese doc/Locales doc/pl-translation.txt doc/portugues-brasil doc/suomeksi $(DOCDIR)/intl
	install -p -m 0644 extras/tables/mc.*       $(DOCDIR)/tables
	install -D -m 0644 extras/termcap/README    $(DOCDIR)/term/README.termcap
	install -p -m 0644 extras/termcap/termcap.* $(DOCDIR)/term
	install -p -D -m 0644 extras/terminfo/README   $(DOCDIR)/term/README.terminfo
	install -p -D -m 0644 extras/terminfo/minicom  $(DOCDIR)/term/terminfo
	install -p -m 0644 TODO doc/TODO* doc/Todo* $(DOCDIR)/todo
	find $(DOCDIR) -type f \( -size +8 -o -name 'changelog*' \) -print0 | xargs -0 gzip -9

	install -d -m 0755 $(DEBDIR)
	install -p -m 0644 debian/control $(DEBDIR)
	install -p -m 0755 debian/preinst debian/postinst debian/postrm $(DEBDIR)
	cd $(BUILDDIR) && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
	chmod 0644 $(DEBDIR)/md5sums

	dpkg-shlibdeps $(BUILDDIR)/usr/bin/ascii-xfr $(BUILDDIR)/usr/bin/minicom $(BUILDDIR)/usr/bin/runscript
	dpkg-gencontrol -isp -pminicom -P$(BUILDDIR)
	dpkg --build $(BUILDDIR) ..

.PHONY: clean build install binary binary-indep binary-arch

## minicom 2.6.2

=== debian/changelog ===
minicom (2.6.2-1) unstable; urgency=low

  * New upstream release,
    closes: #698407 (handling of long device names).

 -- Martin A. Godisch <godisch@debian.org>  Thu, 07 Feb 2013 22:02:34 +0100

minicom (2.6.1-3) unstable; urgency=low

  * Fixed compiler warnings.
    Thanks to the gentle upstream maintainer.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Jan 2013 14:30:37 +0100

minicom (2.6.1-2) unstable; urgency=low

  * Changed path delimiter handling, closes: #697624.
    Thanks to the gentle upstream maintainer.
  * Updated standards version:
    + Added build-arch and build-indep target to debian/rules.
    + Added $(shell dpkg-buildflags --export=configure) to configure call.
  * Fixed debian/watch, closes: #692880.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 10 Jan 2013 20:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: autotools-dev, gettext, libncurses5-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 
 Package: minicom
 Architecture: any

=== debian/watch ===
version=3
http://alioth.debian.org/project/showfiles.php?group_id=30018 .*/minicom-(.*)\.tar\.gz

## minicom 2.7

=== debian/changelog ===
minicom (2.7-1+deb8u1build0.16.04.1) xenial-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 15 Nov 2018 15:08:34 -0500

minicom (2.7-1+deb8u1) jessie; urgency=high

  * Non-maintainer upload.
  * Add ARRAY_SIZE macro
  * CVE-2017-7467: Out of bounds write in vt100.c (Closes: #860940)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Apr 2017 09:03:48 +0200

minicom (2.7-1) unstable; urgency=low

  * New upstream release, closes: #707564 (configurable status line).
  * Fixed history buffer message box text width, closes: #470582.
  * Added homepage control field.
  * Updated watch file, but it still doesn't work.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 01 Jan 2014 10:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: autotools-dev, gettext, libncurses5-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Homepage: https://alioth.debian.org/projects/minicom/
 
 Package: minicom
 Architecture: any

## minicom 2.7.1

=== debian/changelog ===
minicom (2.7.1-1) unstable; urgency=low

  * New upstream release.
  * Added upstream path for environment parsing, closes: 869753.
  * Fixed compiler error.
  * Updated Standards-Version:
    - Replaced Menu system config by FreeDesktop file.
    - Made copyright URL an https link.
  * Removed obsolete install scripts.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Aug 2017 17:25:34 +0200

minicom (2.7-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add ARRAY_SIZE macro
  * CVE-2017-7467: Out of bounds write in vt100.c (Closes: #860940)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Apr 2017 11:14:19 +0200

=== debian/control ===
Source: minicom
Section: comm
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: autotools-dev, gettext, libncurses5-dev
Standards-Version: 4.0.1
Homepage: https://alioth.debian.org/projects/minicom/

Package: minicom
Architecture: any
Depends: ${shlibs:Depends}
Recommends: lrzsz
Description: Friendly menu driven serial communication program
 Minicom is a clone of the MS-DOS "Telix" communication program. It emulates
 ANSI and VT102 terminals, has a dialing directory and auto zmodem download.

=== debian/rules ===
--- 
+++ 
@@ -35,10 +35,15 @@
 configure-stamp: configure
 	$(testdir)
 	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub .
-	./configure $(CONFFLAGS) --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc/minicom
+	./configure $(CONFFLAGS) --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc/minicom $(shell dpkg-buildflags --export=configure)
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+
+build-arch: build-stamp
+
+build-indep: build-stamp
+
 build-stamp: configure-stamp
 	$(testdir)
 	$(MAKE)
@@ -58,7 +63,7 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	cd $(BUILDDIR)/usr/bin && strip -R .comment -R .note ascii-xfr minicom runscript
 endif
-	install -p -D -m 0644 debian/menu $(BUILDDIR)/usr/share/menu/minicom
+	install -p -D -m 0644 debian/desktop $(BUILDDIR)/usr/share/applications/minicom.desktop
 	find $(BUILDDIR)/usr/share/man -type f -print0 | xargs -0 gzip -9
 
 	install -d -m 0755 $(BUILDDIR)/etc/minicom $(DOCDIR)/examples $(DOCDIR)/intl $(DOCDIR)/term $(DOCDIR)/todo $(DOCDIR)/tables
@@ -79,7 +84,7 @@
 
 	install -d -m 0755 $(DEBDIR)
 	install -p -m 0644 debian/control $(DEBDIR)
-	install -p -m 0755 debian/preinst debian/postinst debian/postrm $(DEBDIR)
+	install -p -m 0755 debian/postrm $(DEBDIR)
 	cd $(BUILDDIR) && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
 	chmod 0644 $(DEBDIR)/md5sums
 
@@ -87,4 +92,4 @@
 	dpkg-gencontrol -isp -pminicom -P$(BUILDDIR)
 	dpkg --build $(BUILDDIR) ..
 
-.PHONY: clean build install binary binary-indep binary-arch
+.PHONY: clean build build-arch build-indep install binary binary-arch binary-indep

## minicom 2.7.2~20200725

=== debian/changelog ===
minicom (2.7.2~20200725-3) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:44:57 +0200

minicom (2.7.2~20200725-2) unstable; urgency=medium

  * Added changes of accidentially dropped NMU 2.7.1-1.1.
    Thanks to Boyuan Yang.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 12:10:44 +0200

minicom (2.7.2~20200725-1) unstable; urgency=medium

  * Synced to git commit 4057a4ac9b7b2e6f32868e3440e64e0243ec4174,
    closes: #957540 (build using gcc-10). Thanks to Adam Lackorzynski.
  * Made build reproducible, closes: #828793.
    Thanks to Reiner Herrmann.
  * Cleaned up Debian patches.
  * Updated Homepage.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 07:57:04 +0200

minicom (2.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    + Update project homepage on salsa.debian.org. (Closes: #900092)
    + Add missing build-dependency debhelper (with compat level
      of 12).
  * debian/rules:
    + Use buildflags.mk and buildtools.mk to properly set CFLAGS
      and $(STRIP). This fixes FTCBFS. (Closes: #842896)

 -- Boyuan Yang <byang@debian.org>  Sun, 22 Dec 2019 21:06:26 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,12 @@
 #!/usr/bin/make -f
 #
 # $Id: rules,v 1.15.2.5 2005/11/05 12:01:25 godisch Exp $
+
+DPKG_EXPORT_BUILDFLAGS = 1
+DPKG_EXPORT_BUILDTOOLS = 1
+include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/buildflags.mk
+include /usr/share/dpkg/buildtools.mk
 
 BUILDDIR = debian/minicom
 DEBDIR   = $(BUILDDIR)/DEBIAN
@@ -14,14 +20,6 @@
 else
 	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
 endif
-
-CFLAGS = -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-export CFLAGS
 
 clean:
 	$(testdir)
@@ -61,10 +59,10 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/minicom install
 	chmod -R go=u-w $(BUILDDIR)
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	cd $(BUILDDIR)/usr/bin && strip -R .comment -R .note ascii-xfr minicom runscript
+	cd $(BUILDDIR)/usr/bin && $(STRIP) -R .comment -R .note ascii-xfr minicom runscript
 endif
 	install -p -D -m 0644 debian/desktop $(BUILDDIR)/usr/share/applications/minicom.desktop
-	find $(BUILDDIR)/usr/share/man -type f -print0 | xargs -0 gzip -9
+	find $(BUILDDIR)/usr/share/man -type f -print0 | xargs -0 gzip -9n
 
 	install -d -m 0755 $(BUILDDIR)/etc/minicom $(DOCDIR)/examples $(DOCDIR)/intl $(DOCDIR)/term $(DOCDIR)/todo $(DOCDIR)/tables
 	install -p -m 0644 doc/minirc.dfl extras/*login debian/minirc.nullmodem $(DOCDIR)/examples
@@ -80,12 +78,12 @@
 	install -p -D -m 0644 extras/terminfo/README   $(DOCDIR)/term/README.terminfo
 	install -p -D -m 0644 extras/terminfo/minicom  $(DOCDIR)/term/terminfo
 	install -p -m 0644 TODO doc/TODO* doc/Todo* $(DOCDIR)/todo
-	find $(DOCDIR) -type f \( -size +8 -o -name 'changelog*' \) -print0 | xargs -0 gzip -9
+	find $(DOCDIR) -type f \( -size +8 -o -name 'changelog*' \) -print0 | xargs -0 gzip -9n
 
 	install -d -m 0755 $(DEBDIR)
 	install -p -m 0644 debian/control $(DEBDIR)
 	install -p -m 0755 debian/postrm $(DEBDIR)
-	cd $(BUILDDIR) && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums
+	cd $(BUILDDIR) && find usr -type f -print0 | LC_ALL=C sort -z | xargs -0 md5sum > DEBIAN/md5sums
 	chmod 0644 $(DEBDIR)/md5sums
 
 	dpkg-shlibdeps $(BUILDDIR)/usr/bin/ascii-xfr $(BUILDDIR)/usr/bin/minicom $(BUILDDIR)/usr/bin/runscript

## minicom 2.8

=== debian/changelog ===
minicom (2.8-2) unstable; urgency=medium

  * Fixed history buffer allocation, applied upstream 2021-06-13 patches,
    thanks to Mike Crowe and Adam Lackorzynski, closes: #989735.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 15 Jun 2021 05:20:21 +0200

minicom (2.8-1) unstable; urgency=low

  * New upstream release.
  * Removed build timestamp for reproducible build.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 03 Jan 2021 13:27:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: autotools-dev, gettext, libncurses5-dev
 Standards-Version: 4.0.1
-Homepage: https://alioth.debian.org/projects/minicom/
+Homepage: https://salsa.debian.org/minicom-team/minicom
 
 Package: minicom
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 	chmod 0644 $(DEBDIR)/md5sums
 
 	dpkg-shlibdeps $(BUILDDIR)/usr/bin/ascii-xfr $(BUILDDIR)/usr/bin/minicom $(BUILDDIR)/usr/bin/runscript
-	dpkg-gencontrol -isp -pminicom -P$(BUILDDIR)
+	dpkg-gencontrol -pminicom -P$(BUILDDIR)
 	dpkg --build $(BUILDDIR) ..
 
 .PHONY: clean build build-arch build-indep install binary binary-arch binary-indep

=== debian/watch ===
version=3
https://alioth.debian.org/frs/?group_id=30018 .*/minicom-(.*)\.tar\.gz

## minicom 2.9

=== debian/changelog ===
minicom (2.9-4) unstable; urgency=low

  * Fixed path to system-wide config file, thanks to Andrey Melnikov.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 10 Feb 2024 13:35:42 +0100

minicom (2.9-3) unstable; urgency=low

  * Fixed build-dependencies.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 06 Feb 2024 18:37:15 +0100

minicom (2.9-2) unstable; urgency=low

  * Switched build system to debhelper.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 06 Feb 2024 16:03:17 +0100

minicom (2.9-1) unstable; urgency=low

  * New upstream release, thanks to Adam Lackorzynski.
  * Updated standards version.
  * Updated build-depends.
  * Added debian/control vcs headers, closes: #710577.
  * Updated watch file.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 06 Feb 2024 06:31:31 +0100

=== debian/control ===
Source: minicom
Section: comm
Priority: optional
Maintainer: Martin A. Godisch <godisch@debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev, pkgconf
Standards-Version: 4.6.2
Homepage: https://salsa.debian.org/minicom-team/minicom
Vcs-Browser: https://salsa.debian.org/minicom-team/minicom
Vcs-Git: https://salsa.debian.org/minicom-team/minicom.git -b master

Package: minicom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: lrzsz
Description: Friendly menu driven serial communication program
 Minicom is a clone of the MS-DOS "Telix" communication program. It emulates
 ANSI and VT102 terminals, has a dialing directory and auto zmodem download.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/minicom

=== debian/watch ===
version=4
https://salsa.debian.org/minicom-team/minicom/tags .*/minicom-([\d\.]*).tar.bz2

## minicom 2.10

=== debian/changelog ===
minicom (2.10-1) unstable; urgency=low

  * New upstream relase.
  * Fixed watch file.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 Feb 2025 10:13:31 +0100

minicom (2.9-5) unstable; urgency=low

  * Removed Vcs headers. There was a misunderstanding, the minicom Debian
    source package files are not tracked in a vcs repository.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 17 Mar 2024 07:21:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,8 @@
 Maintainer: Martin A. Godisch <godisch@debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13), gettext, libncurses-dev, pkgconf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://salsa.debian.org/minicom-team/minicom
-Vcs-Browser: https://salsa.debian.org/minicom-team/minicom
-Vcs-Git: https://salsa.debian.org/minicom-team/minicom.git -b master
 
 Package: minicom
 Architecture: any

=== debian/watch ===
version=4
opts="uversionmangle=s/-rc/~rc/" https://salsa.debian.org/minicom-team/minicom/tags releases/(\S+)
